#
# spec file for package gimmix
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gimmix
Version:        0.5.7.2
Release:        150500.2.pm.5
Summary:        A graphical music player daemon (MPD) client
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Players
Url:            https://code.google.com/p/gimmix/
Source0:        %{name}/%{name}-%{version}.tar.bz2
Patch0:		    gimmix-0.5.7.1-new_curl.diff
Patch1:         gimmix.patch
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libglade-2.0)
BuildRequires:  pkgconfig(libmpd)
BuildRequires:  pkgconfig(nxml)
BuildRequires:  pkgconfig(taglib_c)
BuildRequires:  pkgconfig(x11)
BuildRequires:  update-desktop-files

%description
Gimmix is a graphical music player daemon (MPD) client written in C using GTK+2.
It's very simple and easy to use, yet offers many features to make your audio experience a pleasant one.

%prep
%autosetup -p1

%build
ln -s %{_datadir}/intltool/Makefile.in.in po/Makefile.in.in
#autoreconf -fiv
%configure
%make_build

%install
%make_install

%find_lang %{name}
%suse_update_desktop_file -r %{name} AudioVideo Player

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.glade
%{_datadir}/%{name}/%{name}_firstrun.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}_logo_small.png
%{_datadir}/pixmaps/%{name}_playlist.png
%{_datadir}/pixmaps/%{name}-album.png
%{_mandir}/man1/%{name}.1.gz

%changelog
* Wed Oct 15 2014 avvissu@yandex.ru
- Update to 0.5.7.2
- Spec file cleaner
* Tue May 22 2012 seife+obs@b1-systems.com
- fix build on 12.1 or later by removing obsolete curl includes
* Sun Nov 22 2009 detlef@links2linux.de
- new upstream release <0.5.7.1>
  * New translation French (fr_FR). Thanks to Alois Halel
  * Applied a patch from Vincent Legout to make gimmix link against libx11
* Mon Nov 16 2009 detlef@links2linux.de
- new upstream release <0.5.7>
  * New Cover art provider (Freecovers.net)
  * Fix issues with the ID3 Tag Editor (Gentoo bug #264231)
* Wed Jan  7 2009 detlef@links2linux.de
- new upstream release <0.5.6.1>
  * Fix location of libmpd headers in gimmix.h [thanks to Qball]
  * Check for libmpd>=0.17.0 in configure script [thanks to Qball]
  * Set default cover when gimmix starts.
  * Gimmix requires libmpd version to be atleast 0.17.0 or higher
  * Fixed lots of crashes/lockups due to cover/lyrics plugins.
  * Tag editing support is now optional.
  * Revamped tag editor and now it also shows album cover.
  * Speed improvements and fixed some memory leaks.
  * Added Swedish translation (Thanks to Niklas Grahn)
* Mon Jan  5 2009 detlef@links2linux.de
- new upstream release <0.5.5>
  * Bug #313023: Fix missing entries in POTFILES
  * Bug #313018: gimmix.desktop contains encoding key (which is deprecated)
  * Bug #307527: Fix missing prototypes in some headers (patch from Christoph Mende)
  * Added support for columns in Current playlist
  * Fixed a bug where newly fetched lyrics were sometimes stored at odd locations
  * LOTS of memory leaks fixed
  * Fixed some crashes due to cover/lyrics plugins
* Sat Dec 13 2008 detlef@links2linux.de
- new upstream release <0.5.3>
  * Bug #293908: Segfaults when disabling coverart plugin
  * Bug #305662: Segfault with accents and long filename
  * Added support for manually setting cover images from files
  * Added support for connection through proxy servers
  * Fixed random crashes because of cover and lyrics plugins
* Thu Oct 23 2008 detlef@links2linux.de
- new upstream release <0.5.2>
* Fri Oct 19 2007 detlef@links2linux.de
- new upstream release <0.4.2>
  * Added Turkish translation (Thanks to Yavuz Selim Burgu)
  * Added some new features (Thanks to Asaf Karagila for the patches)
  * Replace song(s) function in library browser
  * Crop function in current playlist
  * Bugfix in play on add feature
  * Bug #99630: Missing mkinstalldirs file (Thanks to Avuton Olrich)
  * Bug #89991: Volume bar stays there even after gimmix is minimized (Thanks to Pyluyten)
  * Fixed a bug where the volume bar was detached from the main window when it was moved
  * Fixed a bug where the text as not rendered correctly in some languages.
    This even fixes a random crash when gimmix is run in a different locale other than english.
  * Other minor fixes
* Thu Jul 26 2007 detlef@links2linux.de
- initial build for PackMan <0.4.1>
